// =========================================================================  payment slider && counters
$(document).ready(function () {
    if($('.slick-payment').length) {
        $('.slick-payment').slick({
            infinite: true,
            dots: true,
            autoplay: true,
            autoplaySpeed: 2000,
            slidesToShow: 3,
            slidesToScroll: 1,
            adaptiveHeight: true
        });
    }
});

// =========================================================================  form investment calculator
$(function () {
    $(".btn-form").on("click", function () {
        var $button = $(this);
        var oldValue = $button.parent().find("input").val();

        if ($button.text() == "+") {
            var newVal = parseFloat(oldValue) + 10;
        } else {
            // Don't allow decrementing below zero
            if (oldValue > 0) {
                var newVal = parseFloat(oldValue) - 10;
            } else {
                newVal = 0;
            }
        }
        $button.parent().find("input").val(newVal);
    });
});

// =========================================================================  popup head-menu
$(document).ready(function(){
    $('body').on('click', '.navRoot .mobileMenu', function() {
        var navMenu = $(this).parent('.navSection');
        if($(navMenu).hasClass('active')){
            $(navMenu).removeClass('active');
        }
        else {
            $(navMenu).addClass('active');
        }
        return false;
    });
    $('body').on('click', '.navSection.mobile .popupCloseButton', function() {
        var navMenu = $(this).parent().parent().parent('.navSection');
        if($(navMenu).hasClass('active')){
            $(navMenu).removeClass('active');
        }
        return false;
    });
});
$(document).click(function(event) {
    if ( !$(event.target).parent().hasClass('popupContainer')) {
        $('.navSection.mobile').removeClass('active');
    }
});

// =========================================================================  popup footer-menu
$(document).ready(function(){
    $('body').on('click', '.select-languages > a', function() {
        var navMenu = $(this).parent('.select-languages');
        if($(navMenu).hasClass('active')){
            $(navMenu).removeClass('active');
        }
        else {
            $(navMenu).addClass('active');
        }
        return false;
    });

});
$(document).click(function(event) {
    if ( !$(event.target).hasClass('countryPicker')) {
        $('.select-languages').removeClass('active');
    }
});

// =========================================================================  popup sidebar-menu
$(document).ready(function(){
    $('body').on('click', '.sidebar-languages > a', function() {
        var navMenu = $(this).parent('.sidebar-languages');
        if($(navMenu).hasClass('active')){
            $(navMenu).removeClass('active');
        }
        else {
            $(navMenu).addClass('active');
        }
        return false;
    });

});
$(document).click(function(event) {
    if ( !$(event.target).hasClass('countryPicker')) {
        $('.sidebar-languages').removeClass('active');
    }
});

// ========================================================================= menu active
$(function () {
    $('.navRoot a').each(function () {
        var location = window.location.href;
        var link = this.href;
        if(location == link) {
            $(this).addClass('active');
            $(this).parent('li').parent('ul').parent('li > a').addClass('active');
        }
    });
    $('.footer-menu a').each(function () {
        var location = window.location.href;
        var link = this.href;
        if(location == link) {
            $(this).addClass('active');
        }
    });
});
// ========================================================================= FAQ questions
$('.faq-category').on('click', function () {
    $(".question_block").removeClass("hidden");

    $(".faq-category").removeClass('active');
    $(this).addClass('active');

    var faq_category = $(this).data('faq');
    $(".faq-block").each(function () {
        $(this).css('display', 'none');
    });
    $("#" + faq_category).css('display', 'block');
    //$("#" + faq_category).children('.question_block:first-of-type').addClass('active');
});

$(".question_block .answer").hide();
$(document).on('click', '.question_block .question', function () {
    if($(this).parent().hasClass('active')){
        $(this).parent().find(".answer").slideUp();
        $(this).parent().removeClass("active");
    }
    else{
        $(this).parent().find(".answer").slideDown();
        $(this).parent().addClass("active");
    }
});
// ========================================================================= FAQ SEARCH
function faqSearch() {
    if($("input#search-input").val().length > 2){
        // $('main').addClass('search-active');
        $('#clear-search').addClass('visible');

        var search_text = $("input#search-input").val();
        $('span.highlight').each(function(){
            $(this).after($(this).html()).remove();
        });

        $('.faq p, .faq h4, .faq ul li').each(function() {
            $(this).html(
                $(this).text().replace(new RegExp(search_text, 'ig'), '<span class="highlight">$&</span>')
            );
        });

        $('.faq-block').css('display', 'block');
        $(".question_block .answer").hide();

        $(".question_block").addClass("hidden");
        $(".question_block").removeClass("active");
        $(".faq-category").removeClass('active');

        $('span.highlight').each(function() {
            $(this).parents('.question_block').removeClass("hidden").addClass('active');
            $(this).parents('.question_block').find('.answer').css('display', 'block');
        });

        //AJAX SEARCH-RESULT
        //form_data = $("input#search-input").closest('form').serialize();
        // $.post('/php/search-ajax.php', form_data, function(data) {
        //search result html data
        //$('#search_results').html(data);
        //}, "html");
    }
    else{
        //$('main').removeClass('search-active');
        $('#clear-search').removeClass('visible');
        $(".question_block").removeClass("hidden");
        $('span.highlight').each(function(){
            $(this).after($(this).html()).remove();
        });
    }
}
$("input#search-input").on('keyup', function() {
    faqSearch();
});

$("#clear-search").on('click', function() {
    if($("input#search-input").val().length > 2){
        $("input#search-input").val('');
        $(".question_block").removeClass("hidden");
        faqSearch();
    }
    return false;
});

// ========================================================================= REFERRAL PERCENT
function isVisible( row, container ){
    var elementTop = $(row).offset().top,
        elementHeight = $(row).height(),
        containerTop = container.scrollTop(),
        containerHeight = container.height();
    return ((((elementTop - containerTop) + elementHeight) > 0) && ((elementTop - containerTop) < containerHeight));
}
$(window).scroll(function(){
    $('#referal h2').each(function(){
        if(isVisible($(this), $(window))){
            $('#darts .arrow4').addClass("animated bounceInDown", 9000);
            $("#darts .arrow3").delay(500).queue(function() {
                $(this).addClass("animated bounceInDown", 9000);
            });
            $("#darts .arrow2").delay(1000).queue(function() {
                $(this).addClass("animated bounceInDown", 9000);
            });
            $("#darts .arrow1").delay(1500).queue(function() {
                $(this).addClass("animated bounceInDown", 9000);
            });
        };
    });
});

// ========================================================================= NEWS BLOCK
$(".news-content .news-more").click(function () {
    var news_block = $(this).parent().parent();
    if($(news_block).hasClass('active')){
        $(news_block).removeClass('active');
    }
    else {
        $('.news-block').removeClass('active');
        $(news_block).addClass('active');
    }
    return false;
});

$(".news-image img").click(function () {
    var news_block = $(this).parent().parent();
    if($(news_block).hasClass('active')){
        $(news_block).removeClass('active');
    }
    else {
        $('.news-block').removeClass('active');
        $(news_block).addClass('active');
    }
    return false;
});
// ========================================================================= NEWS ADDLIKE
function addLike(article_id, article_type, element) {
    var formData = {
        article_id: article_id,
        article_type: article_type
    };
    $.ajax({
        url: '/php/likes.php',
        type: 'POST',
        data: formData,
        cache: false,
        dataType: "html",
        success: function (response) {
            if($(element).hasClass('liked')){
                $(element).html(parseInt($(element).html())-1);
                $(element).removeClass('liked')
            }
            else{
                $(element).html(parseInt($(element).html())+1);
                $(element).addClass('liked')
            }
           /* var obj = jQuery.parseJSON(response);
            if (obj.status === 'success') {
            }
            if (obj.status === 'error') {
            }*/
        }
    });
    return true;
}

// ========================================================================= CALCULATOR


// ========================================================================= USERS INVESTMENTS COUNTERS
$(function () {
    function create_counter(counter_value, counter_block) {
        var text = '<ul><li>0</li><li>0</li>';
        for (var i = 0, len = counter_value.length; i < len; i++) {
            if(counter_value[i] !== '.') {
                text = text + '<li>' + counter_value[i] + '</li>';
            }
        }
        text += '</ul>';
        $(counter_block).html(text);
    }
    $(window).load(function() {
        if($('.counter').length) {
            create_counter(counter1, '.counter');
        }
        if($('.counter_2').length) {
            create_counter(counter2, '.counter_2');
        }
        if($('.counter_3').length) {
            create_counter(counter1, '.counter_3');
        }
    });
});

// ========================================================================= TO TOP BUTTON
$(window).scroll(function () {
    var scB = $(window).scrollTop() - $(document).height() + $(window).height();
    if ($(this).scrollTop() > 200) {
        $('.to-top-arrow, .sidebar-to-top').addClass('visible');
        if (scB > -300) {
            $('.to-top-arrow, .sidebar-to-top').addClass('bottom-position');
        }
        else {
            $('.to-top-arrow, .sidebar-to-top').removeClass('bottom-position');
        }
    }
    else {
        $('.to-top-arrow, .sidebar-to-top').removeClass('visible');
    }
});
$('.to-top-arrow, .sidebar-to-top').click(function () {
    $("html, body").animate({
        scrollTop: 0
    }, 600);
    return false;
});

// ========================================================================= AUTHORIZATION HELPERS
$(".auth-block input").blur(function () {
    $(".helper").removeClass('isActive');
});

$(".auth-block .form-control").on('click', function () {
    if($(this).hasClass('with_helper')) {
        $(this).closest('div').find('.helper').addClass('isActive');
    }
});

$(".auth-block input[type=checkbox]").on('click', function () {
    if($(this).hasClass('with_helper')) {
        $(this).closest('div').find('.helper').addClass('isActive');
    }
});

// ========================================================================= menu active
$("#web_not_registered").click(function() {
    var checked_status = this.checked;
    if (checked_status == true) {
        $("#telegram_register").removeAttr("disabled");
    } else {
        $("#telegram_register").attr("disabled", "disabled");
    }
});