// ========================================================================= AUTHORIZATION VALIDATION
$(document).ready(function() {
    $('.contact-form-callback').bootstrapValidator({
        feedbackIcons: {
            valid: 'glyphicon glyphicon-ok',
            invalid: 'glyphicon glyphicon-remove',
            validating: 'glyphicon glyphicon-refresh'
        },
        fields: {
            Name: {
                validators: {
                    notEmpty: {},
                    stringLength: {
                        min: 2,
                        max: 80
                    }
                }
            },
            Mail: {
                validators: {
                    notEmpty: {},
                    emailAddress: {}
                }
            },
            Topic: {
                validators: {
                    notEmpty: {}
                }
            },
            Message: {
                validators: {
                    notEmpty: {},
                    stringLength: {
                        min: 5,
                        max: 8000
                    }
                }
            }
        }
    });
});
// ========================================================================= AUTHORIZATION VALIDATION
$(document).ready(function() {
    $('.sign-up-form').bootstrapValidator({
        feedbackIcons: {
            valid: 'glyphicon glyphicon-ok',
            invalid: 'glyphicon glyphicon-remove',
            validating: 'glyphicon glyphicon-refresh'
        },
        fields: {
            uLogin: {
                validators: {
                    notEmpty: {},
                    stringLength: {
                        min: 5,
                        max: 80
                    }
                }
            },
            uMail: {
                validators: {
                    notEmpty: {},
                    emailAddress: {}
                }
            },
            uPass: {
                validators: {
                    notEmpty: {},
                    stringLength: {
                        min: 5,
                        max: 80
                    },
                    identical: {
                        field: 'Pass2',
                        message: 'Пароли не совпадают'
                    }
                }
            },
            Pass2: {
                validators: {
                    notEmpty: {},
                    stringLength: {
                        min: 5,
                        max: 80
                    },
                    identical: {
                        field: 'uPass',
                        message: 'Пароли не совпадают'
                    }
                }
            },
            Agree: {
                validators: {
                    notEmpty: {}
                }
            }

        }
    });

    $('.sign-in-form').bootstrapValidator({
        feedbackIcons: {
            valid: 'glyphicon glyphicon-ok',
            invalid: 'glyphicon glyphicon-remove',
            validating: 'glyphicon glyphicon-refresh'
        },
        fields: {
            Login: {
                validators: {
                    notEmpty: {},
                    stringLength: {
                        min: 3,
                        max: 80
                    }
                }
            },
            Pass: {
                validators: {
                    notEmpty: {},
                    stringLength: {
                        min: 5,
                        max: 80
                    }
                }
            }
        }
    });

    $('.reset-pass-form').bootstrapValidator({
        feedbackIcons: {
            valid: 'glyphicon glyphicon-ok',
            invalid: 'glyphicon glyphicon-remove',
            validating: 'glyphicon glyphicon-refresh'
        },
        fields: {
            Mail: {
                validators: {
                    notEmpty: {},
                    emailAddress: {}
                }
            },
            Login: {
                validators: {
                    notEmpty: {},
                    stringLength: {
                        min: 3,
                        max: 80
                    }
                }
            }
        }
    });
});